Subject: bug#15084: closed (24.3.50; browse-url silently fails)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 21 Aug 2013 21:33:03 +0000

Your bug report

#15144: 24.3.50; browse-url-generic hangs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15144: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15144
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: 24.3.50; browse-url silently fails
From: Paul Eggert <[email-masked]>
To: Sam Steingold <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Aug 2013 14:32:01 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks, I reproduced the bug on Ubuntu 13.04 x86-64
and installed a fix as trunk bzr 113969.

Subject: 24.3.50; browse-url-generic hangs
From: Peter <[email-masked]>
To: [email-masked]
Date: Tue, 13 Aug 2013 12:13:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

When I set 'browse-url-browser-function' to 'browse-url-generic', 
browse-url does not work anymore. Instead it only shows the text:
"Waiting for process to die...done"

I think it is 'call-process' which does not work.

Actually, this is the code I use:
(setq browse-url-generic-program "firefox"
      browse-url-browser-function 'browse-url-generic)

In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.8.2)
 of 2013-08-13 on anoth
Bzr revision: [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11402000
System Description:	Arch Linux

Configured using:
 `configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
 --libexecdir=/usr/lib --mandir=/usr/share/man --with-xft
 --with-x-toolkit=gtk3 CFLAGS='-march=x86-64 -mtune=generic -O2 -pipe
 -fstack-protector --param=ssp-buffer-size=4'
 CPPFLAGS='-D_FORTIFY_SOURCE=2' LDFLAGS='-lMagickWand-6.Q16HDRI
 -lMagickCore-6.Q16HDRI ''

Important settings:
  value of $LC_CTYPE: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-g <up> <down> <end> <left> <return> <tab> b r o w 
s e = <backspace> - u r l - b r o <tab> w s e r - f 
u n c t i o n <left> M-x M-p <return> <return> <right> 
<right> <left> SPC ' b r o w s e - u r M-/ M-/ <right> 
C-x C-e C-x o C-x o C-x 1 C-x b R E <tab> <return> 
<down> <down> <down> <down> M-x M-p M-p <return> <return> 
C-x b <return> <left> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<right> C-x C-e C-x b <return> M-x M-p <return> <return> 
C-x o <down> C-x <up> <up> <up> <up> <up> <up> <up> 
<up> <down> <down> <down> <down> <down> <down> C-x 
b <return> <left> <up> <left> <C-backspace> <C-backspace> 
<backspace> <backspace> f i r e f o x C-x C-s C-g <down> 
<end> C-x C-e C-x b <return> M-x b r o w <tab> <return> 
<return> C-g <up> <up> <up> <up> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <C-next> C-g <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <down> <up> C-a C-x b s c 
<return> C-x k <return> C-x b <return> <up> <down> 
C-x C-e <return> <return> <return> h t t p ; <backspace> 
: / / <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> C-y <left> <left> 
M-x b r o w <tab> <return> <return> <up> <down> M-x 
s e n d - e <tab> <backspace> <tab> <tab> <backspace> 
<backspace> <backspace> <backspace> <backspace> r e 
p <tab> o <tab> r t - e m <tab> <return>

Recent messages:
browse-url-generic
Waiting for process to die...done
Quit
End of buffer
Type y, n, ! or SPC (the space bar): 
Quit
browse-url-generic
Mark set
Waiting for process to die...done
Making completion list... [2 times]

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils novice dabbrev pp help-mode easymenu help-fns
thingatpt browse-url vc-git time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)